"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _context = _interopRequireDefault(require("../context"));
var _reducer = require("../reducer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const useModalUtil = () => {
  const {
    state,
    dispatch
  } = _react.default.useContext(_context.default);
  let positiveHandler = (0, _react.useRef)(null);
  let negativeHandler = (0, _react.useRef)(null);
  (0, _react.useEffect)(() => {
    if (state.dialog.response === 'POSITIVE' && positiveHandler.current) positiveHandler.current();
    if (state.dialog.response === 'NEGATIVE' && negativeHandler.current) negativeHandler.current();
  }, [state.dialog.response]);
  const displayPreloader = message => {
    dispatch({
      type: _reducer.actions.preloader.OPEN,
      payload: message
    });
  };
  const closePreloader = () => {
    dispatch({
      type: _reducer.actions.preloader.CLOSE
    });
  };
  const displayDialog = dialogOptions => {
    positiveHandler.current = dialogOptions.positiveAction;
    negativeHandler.current = dialogOptions.negativeAction;
    dispatch({
      type: _reducer.actions.dialog.OPEN,
      payload: {
        body: dialogOptions.body,
        header: dialogOptions === null || dialogOptions === void 0 ? void 0 : dialogOptions.header,
        positiveText: dialogOptions !== null && dialogOptions !== void 0 && dialogOptions.positiveText ? dialogOptions.positiveText : 'OK',
        negativeText: dialogOptions === null || dialogOptions === void 0 ? void 0 : dialogOptions.negativeText
      }
    });
  };
  return {
    displayPreloader,
    closePreloader,
    displayDialog
  };
};
var _default = useModalUtil;
exports.default = _default;
//# sourceMappingURL=index.js.map