"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _context = _interopRequireDefault(require("../context"));
var _reducer = require("./../reducer");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ModalProvider = props => {
  const {
    animation,
    style,
    activityIndicatorSize = 'large',
    activityIndicatorColor = '#61849B',
    children
  } = props;
  const [state, dispatch] = (0, _react.useReducer)(_reducer.reducer, _reducer.initialState);
  const {
    preloader,
    dialog
  } = state;
  const determineHeader = () => {
    if ( /*#__PURE__*/_react.default.isValidElement(dialog.header)) {
      return dialog.header;
    } else {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [_styles.default.headerText, style === null || style === void 0 ? void 0 : style.dialogHeader]
      }, dialog.header);
    }
  };
  const determineBody = () => {
    if ( /*#__PURE__*/_react.default.isValidElement(dialog.body)) {
      return dialog.body;
    } else {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [_styles.default.bodyText, style === null || style === void 0 ? void 0 : style.dialogBody]
      }, dialog.body);
    }
  };
  const actionButton = (text, style, action) => {
    if (_reactNative.Platform.OS === 'android') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableNativeFeedback, {
        onPress: action
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: style
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [_styles.default.buttonText, style === null || style === void 0 ? void 0 : style.dialogAction]
      }, text)));
    } else {
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
        style: style,
        onPress: action
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [_styles.default.buttonText, style === null || style === void 0 ? void 0 : style.dialogAction]
      }, text));
    }
  };
  return /*#__PURE__*/_react.default.createElement(_context.default.Provider, {
    value: {
      state,
      dispatch
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    transparent: true,
    animationType: animation ? animation : 'fade',
    visible: preloader.show || dialog.show
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.modalBackground, style === null || style === void 0 ? void 0 : style.modalContainer]
  }, preloader.show && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.activityIndicatorWrapper, style === null || style === void 0 ? void 0 : style.activityIndicatorContainer]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    size: activityIndicatorSize,
    color: activityIndicatorColor
  }), preloader.message && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [_styles.default.message, style === null || style === void 0 ? void 0 : style.text]
  }, preloader.message)), dialog.show && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.dialogWrapper, style === null || style === void 0 ? void 0 : style.dialogContainer]
  }, dialog.header && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.headerRow
  }, determineHeader()), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.bodyRow
  }, determineBody()), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.footerRow
  }, dialog.negativeText && actionButton(dialog.negativeText, _styles.default.footerButton, () => dispatch({
    type: _reducer.actions.dialog.CLOSE,
    payload: 'NEGATIVE'
  })), actionButton(dialog.positiveText, [_styles.default.footerButton, dialog.negativeText ? _styles.default.buttonBorder : null], () => dispatch({
    type: _reducer.actions.dialog.CLOSE,
    payload: 'POSITIVE'
  })))))), children);
};
var _default = ModalProvider;
exports.default = _default;
//# sourceMappingURL=index.js.map