import React, { useEffect, useRef } from 'react';
import ModalContext from '../context';
import { actions } from '../reducer';
const useModalUtil = () => {
  const {
    state,
    dispatch
  } = React.useContext(ModalContext);
  let positiveHandler = useRef(null);
  let negativeHandler = useRef(null);
  useEffect(() => {
    if (state.dialog.response === 'POSITIVE' && positiveHandler.current) positiveHandler.current();
    if (state.dialog.response === 'NEGATIVE' && negativeHandler.current) negativeHandler.current();
  }, [state.dialog.response]);
  const displayPreloader = message => {
    dispatch({
      type: actions.preloader.OPEN,
      payload: message
    });
  };
  const closePreloader = () => {
    dispatch({
      type: actions.preloader.CLOSE
    });
  };
  const displayDialog = dialogOptions => {
    positiveHandler.current = dialogOptions.positiveAction;
    negativeHandler.current = dialogOptions.negativeAction;
    dispatch({
      type: actions.dialog.OPEN,
      payload: {
        body: dialogOptions.body,
        header: dialogOptions === null || dialogOptions === void 0 ? void 0 : dialogOptions.header,
        positiveText: dialogOptions !== null && dialogOptions !== void 0 && dialogOptions.positiveText ? dialogOptions.positiveText : 'OK',
        negativeText: dialogOptions === null || dialogOptions === void 0 ? void 0 : dialogOptions.negativeText
      }
    });
  };
  return {
    displayPreloader,
    closePreloader,
    displayDialog
  };
};
export default useModalUtil;
//# sourceMappingURL=index.js.map